%global srcname fast_tls

%global p1_utils_ver 1.0.11

Name: erlang-%{srcname}
Version: 1.0.21
Release: 1%{?dist}

License: ASL 2.0
Summary: TLS / SSL native driver for Erlang / Elixir
URL: https://github.com/processone/%{srcname}/
Source0: https://github.com/processone/%{srcname}/archive/%{version}/fast_tls-%{version}.tar.gz
# Set the default cipher list to PROFILE=SYSTEM.
# https://fedoraproject.org/wiki/Packaging:CryptoPolicies
Patch0: 0000-Use-the-system-ciphers-by-default.patch

Provides:  erlang-p1_tls = %{version}-%{release}
Obsoletes: erlang-p1_tls < 1.0.1

BuildRequires: gcc
BuildRequires: erlang-p1_utils >= %{p1_utils_ver}
BuildRequires: erlang-rebar
BuildRequires: openssl-devel

Requires: erlang-p1_utils >= %{p1_utils_ver}


%description
TLS / SSL native driver for Erlang / Elixir. This is used by ejabberd.


%prep
%setup -n %{srcname}-%{version} -q

%patch0 -p1


%build
%{rebar_compile}


%check
%{rebar_eunit}


%install
install -d $RPM_BUILD_ROOT%{_erllibdir}/%{srcname}-%{version}/priv/lib

install -pm755 priv/lib/* $RPM_BUILD_ROOT%{_erllibdir}/%{srcname}-%{version}/priv/lib/
%{erlang_install}


%files
%license LICENSE.txt
%doc CHANGELOG.md
%doc README.md
%{erlang_appdir}


%changelog
* Tue Mar 27 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.21-1
- Upgrade to 1.0.21 (#1559641).
- https://github.com/processone/fast_tls/blob/1.0.21/CHANGELOG.md

* Sun Mar 25 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.20-4
- Explicitly require a version of p1_utils.

* Thu Feb 22 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.20-3
- Rebuild for Erlang 20.

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.20-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Jan 14 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.20-1
- Update to 1.0.20 (#1515218).
- https://github.com/processone/fast_tls/blob/1.0.20/CHANGELOG.md

* Fri Nov 10 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.16-1
- Update to 1.0.16 (#1471308).
- https://github.com/processone/fast_tls/blob/1.0.16/CHANGELOG.md

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.13-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Jul 08 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.13-1
- Update to 1.0.13 (#1434190).
- https://github.com/processone/fast_tls/blob/1.0.13/CHANGELOG.md
- Rebase the patch.

* Sun Feb 12 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.10-1
- Update to 1.0.10 (#1412155).
- https://github.com/processone/fast_tls/blob/1.0.10/CHANGELOG.md

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild
